%define module	Test-Builder-Tester
%define name	perl-%{module}
%define version 1.01
%define release 2mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Test testsuites that have been built with Test::Builder
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif

%description
A module that helps you test testing modules that are built with Test::Builder.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES
%{perl_vendorlib}/Test/Builder/*
%{_mandir}/*/*

%changelog
* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.01-2mdk
- fix buildrequires in a backward compatible way

* Thu Nov 04 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.01-1mdk
- Initial MDK release.
